Bug 1628684

Summary: mlt: Remove (sub)packages from Fedora 30+: python2-mlt
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: mltAssignee: Sergio Basto <sergio>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, ngompa13, pviktori, sergio, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mlt-6.12.0-2.fc30 mlt-6.12.0-7.fc28 mlt-6.12.0-7.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-12 21:44:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-09-13 17:47:45 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of mlt were marked for removal:

 * python2-mlt

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Sergio Basto 2018-09-29 23:49:44 UTC
Can't fix, xpra still depent on it , xpra with python3 breaks a lot, last time we checked .

Comment 2 Miro Hrončok 2018-09-30 09:06:58 UTC
How does xpra "depend on it"?

$ dnf repoquery --repo=rawhide --provides python2-mlt
mlt-python = 6.10.0-4.fc30
mlt-python(x86-64) = 6.10.0-4.fc30
python-mlt = 6.10.0-4.fc30
python-mlt(x86-64) = 6.10.0-4.fc30
python2-mlt = 6.10.0-4.fc30
python2-mlt(x86-64) = 6.10.0-4.fc30

$ dnf repoquery --repo=rawhide --requires xpra | grep mlt || echo nope
nope

$ dnf repoquery --repo=rawhide-source --requires xpra | grep mlt || echo nope
nope

Comment 3 Sergio Basto 2018-09-30 15:02:46 UTC
Sorry I changed and confused mlt with opencv [1] 


[1]
dnf repoquery --disablerepo='*' --enablerepo=rawhide --enablerepo=rpmfusion-{,non}free-rawhide --alldeps --whatrequires python2-opencv -q xpra-0:2.3.3-1.fc30.x86_64

Comment 4 Miro Hrončok 2018-09-30 15:18:42 UTC
xpra is also running on python3 now.

Please go on and remove python2-mlt.

Comment 5 Sergio Basto 2019-02-14 05:12:48 UTC
flowblade needs it 

dnf repoquery --disablerepo='*' --enablerepo=rawhide --enablerepo=rpmfusion-{,non}free-rawhide  --available --whatrequires mlt-python --alldeps --qf "%{repoid} %{name}"  -q

Comment 6 Miro Hrončok 2019-02-14 09:47:21 UTC
Yes. I guess add it back but please try to work with flowblade to switch to Python 3.

Comment 7 Sergio Basto 2019-02-14 21:38:31 UTC
https://github.com/mltframework/mlt/issues/410

Comment 8 Fedora Update System 2019-03-03 19:58:33 UTC
mlt-6.12.0-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8fdc31866

Comment 9 Fedora Update System 2019-03-03 19:59:09 UTC
mlt-6.12.0-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4cc6169b20

Comment 10 Fedora Update System 2019-03-04 02:16:11 UTC
mlt-6.12.0-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8fdc31866

Comment 11 Fedora Update System 2019-03-04 02:19:17 UTC
mlt-6.12.0-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4cc6169b20

Comment 12 Fedora Update System 2019-03-04 08:57:02 UTC
mlt-6.12.0-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a90770d04

Comment 13 Fedora Update System 2019-03-04 08:57:06 UTC
mlt-6.12.0-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f43b0ba556

Comment 14 Fedora Update System 2019-03-05 04:37:33 UTC
mlt-6.12.0-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f43b0ba556

Comment 15 Fedora Update System 2019-03-05 14:43:52 UTC
mlt-6.12.0-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a90770d04

Comment 16 Fedora Update System 2019-03-12 21:44:29 UTC
mlt-6.12.0-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-03-14 18:33:02 UTC
mlt-6.12.0-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.